> ## Documentation Index
> Fetch the complete documentation index at: https://docs.splox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chat

> Retrieves a chat session by ID. Users can only access their own chats.

Retrieves a chat session by ID. Users can only access their own chats.

## Usage

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "Authorization: Bearer YOUR_TOKEN" \
    https://app.splox.io/api/v1/chats/{chat_id}
  ```

  ```python Python theme={null}
  from splox import SploxClient

  client = SploxClient(api_key="YOUR_API_KEY")
  chat = client.chats.get("CHAT_ID")
  print(chat.name, chat.resource_type, chat.created_at)
  ```

  ```typescript Node.js theme={null}
  import Splox from "splox";

  const client = new Splox("YOUR_API_KEY");
  const chat = await client.chats.get("CHAT_ID");
  console.log(chat.name, chat.resource_type, chat.created_at);
  ```

  ```go Go theme={null}
  client := splox.NewClient("YOUR_API_KEY")
  chat, err := client.Chats.Get(ctx, "CHAT_ID")
  fmt.Println(chat.Name, chat.ResourceType, chat.CreatedAt)
  ```
</CodeGroup>

## Response

```json theme={null}
{
  "id": "0199f200-a11b-7c8d-4444-888890abcdef",
  "name": "Customer Support Chat",
  "user_id": "0199d001-c45d-9e0f-3456-789012cdef01",
  "resource_type": "api",
  "resource_id": "0199e001-a23b-7c8d-1234-567890abcdef",
  "is_public": false,
  "public_share_token": null,
  "metadata": null,
  "created_at": "2025-10-22T10:00:00Z",
  "updated_at": "2025-10-22T12:15:47Z"
}
```

## Notes

<Info>
  **Authentication required:** Users can only retrieve their own chats.
</Info>


## OpenAPI

````yaml GET /chats/{id}
openapi: 3.1.0
info:
  title: Splox API
  description: >-
    Run workflows, manage chats, receive events, and monitor execution via the
    Splox API
  version: 1.0.0
  contact:
    name: Splox Support
    email: support@splox.io
    url: https://community.splox.io
servers:
  - url: https://app.splox.io/api/v1
    description: Production API
security: []
tags:
  - name: MCP
    description: Discover MCP servers, manage connections, and execute MCP tools
  - name: Workflows
    description: List, get, and inspect workflows, versions, and nodes
  - name: Workflow Requests
    description: Run workflows, monitor execution, and retrieve results
  - name: Events
    description: Receive external events via Event Hub webhooks
  - name: Chats
    description: Manage chat sessions for workflow interactions
paths:
  /chats/{id}:
    get:
      tags:
        - Chats
      summary: Get Chat
      description: Retrieves a chat session by ID. Users can only access their own chats.
      operationId: getChat
      parameters:
        - name: id
          in: path
          required: true
          description: Chat ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Chat retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Chat'
        '404':
          description: Chat not found
      security:
        - bearerAuth: []
components:
  schemas:
    Chat:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        user_id:
          type: string
          format: uuid
        resource_type:
          type: string
          enum:
            - api
            - workflow
            - agent
            - gui
        resource_id:
          type: string
        is_public:
          type: boolean
        public_share_token:
          type: string
          nullable: true
        metadata:
          type: object
          additionalProperties: true
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token generated from your Splox account settings. Create tokens at
        https://app.splox.io/account?tab=settings

````